> ## Documentation Index
> Fetch the complete documentation index at: https://docs.camposcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/apps/{appId}/stop

> This endpoint stops an application by its ID.



## OpenAPI

````yaml POST /v1/apps/{appId}/stop
openapi: 3.1.0
info:
  title: CamposCloud API Documentation
  description: >-
    This documentation provides an overview of the CamposCloud API, including
    authentication, endpoints, and data structures. It is designed to help
    developers integrate with the CamposCloud platform effectively.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.camposcloud.com
security:
  - bearerAuth: []
paths:
  /v1/apps/{appId}/stop:
    post:
      description: Stops an application by its ID
      parameters:
        - name: appId
          in: path
          required: true
          description: ID of the application to stop
          schema:
            type: string
      responses:
        '200':
          description: Application stopped successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationDataChangeStatus'
        '404':
          description: Application not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ApplicationDataChangeStatus:
      type: object
      properties:
        _id:
          type: string
          description: The unique identifier of the application
          example: 60c72b2f9b1e8d001c8e4f3a
        containerId:
          type: string
          description: The unique identifier of the container
          example: da886ad3-88e9-4012-b893-130e87f6b747
        teamId:
          type:
            - object
            - 'null'
          properties:
            _id:
              type: string
              description: >-
                The unique identifier of the team associated with the
                application
              example: 60c72b2f9b1e8d001c8e4f3b
            name:
              type: string
              description: The name of the team associated with the application
              example: My Team
            owner:
              type: string
              description: >-
                The unique identifier of the user who owns the team associated
                with the application
              example: 60c72b2f9b1e8d001c8e4f3a
            members:
              type: array
              description: The list of members in the team associated with the application
              items:
                type: object
                properties:
                  user:
                    type: string
                    description: >-
                      The unique identifier of the user who is a member of the
                      team associated with the application
                    example: 60c72b2f9b1e8d001c8e4f3a
                  permissions:
                    type: object
                    description: List of permissions assigned to the team member
                    properties:
                      canCreateApplication:
                        type: boolean
                        description: >-
                          Define if the team member can create applications in
                          the team
                        example: true
                      canDeleteApplication:
                        type: boolean
                        description: >-
                          Define if the team member can delete applications in
                          the team
                        example: false
                      canUpdateApplicationSettings:
                        type: boolean
                        description: >-
                          Define if the team member can update application
                          settings in the team
                        example: true
                      canChangeStatusApplication:
                        type: boolean
                        description: >-
                          Define if the team member can change application
                          status in the team
                        example: false
                      canManageApplicationBackup:
                        type: boolean
                        description: >-
                          Define if the team member can manage application
                          backups in the team
                        example: true
                      canEditApplicationFiles:
                        type: boolean
                        description: >-
                          Define if the team member can edit application files
                          in the team
                        example: true
                      canSeeApplicationFiles:
                        type: boolean
                        description: >-
                          Define if the team member can see application files in
                          the team
                        example: true
                      canDeleteApplicationFiles:
                        type: boolean
                        description: >-
                          Define if the team member can delete application files
                          in the team
                        example: false
                      canCreateDatabase:
                        type: boolean
                        description: >-
                          Define if the team member can create databases in the
                          team
                        example: true
                      canDeleteDatabase:
                        type: boolean
                        description: >-
                          Define if the team member can delete databases in the
                          team
                        example: false
                      canUpdateDatabaseSettings:
                        type: boolean
                        description: >-
                          Define if the team member can update database settings
                          in the team
                        example: true
                      canChangeStatusDatabase:
                        type: boolean
                        description: >-
                          Define if the team member can change database status
                          in the team
                        example: false
                  _id:
                    type: string
                    description: The unique identifier of the team member
                    example: 60c72b2f9b1e8d001c8e4f3e
            invites:
              type: array
              description: The list of invites to the team associated with the application
              items:
                type: object
                properties:
                  email:
                    type: string
                    description: >-
                      The email of the invited user to the team associated with
                      the application
                    example: keven@camposcloud.com
                  userId:
                    type: string
                    description: >-
                      The unique identifier of the invited user to the team
                      associated with the application, null if the user has not
                      created an account yet
                    example: 60c72b2f9b1e8d001c8e4f3f
                  invitedAt:
                    type: string
                    format: date-time
                    description: >-
                      The date and time when the user was invited to the team
                      associated with the application
                    example: '2025-07-18T23:49:19.701Z'
                  code:
                    type: string
                    description: >-
                      The unique code associated with the invite to the team
                      associated with the application, used for accepting the
                      invite
                    example: 8qq6no5kw39
                  permissions:
                    type: object
                    description: List of permissions assigned to the team member
                    properties:
                      canCreateApplication:
                        type: boolean
                        description: >-
                          Define if the team member can create applications in
                          the team
                        example: true
                      canDeleteApplication:
                        type: boolean
                        description: >-
                          Define if the team member can delete applications in
                          the team
                        example: false
                      canUpdateApplicationSettings:
                        type: boolean
                        description: >-
                          Define if the team member can update application
                          settings in the team
                        example: true
                      canChangeStatusApplication:
                        type: boolean
                        description: >-
                          Define if the team member can change application
                          status in the team
                        example: false
                      canManageApplicationBackup:
                        type: boolean
                        description: >-
                          Define if the team member can manage application
                          backups in the team
                        example: true
                      canEditApplicationFiles:
                        type: boolean
                        description: >-
                          Define if the team member can edit application files
                          in the team
                        example: true
                      canSeeApplicationFiles:
                        type: boolean
                        description: >-
                          Define if the team member can see application files in
                          the team
                        example: true
                      canDeleteApplicationFiles:
                        type: boolean
                        description: >-
                          Define if the team member can delete application files
                          in the team
                        example: false
                      canCreateDatabase:
                        type: boolean
                        description: >-
                          Define if the team member can create databases in the
                          team
                        example: true
                      canDeleteDatabase:
                        type: boolean
                        description: >-
                          Define if the team member can delete databases in the
                          team
                        example: false
                      canUpdateDatabaseSettings:
                        type: boolean
                        description: >-
                          Define if the team member can update database settings
                          in the team
                        example: true
                      canChangeStatusDatabase:
                        type: boolean
                        description: >-
                          Define if the team member can change database status
                          in the team
                        example: false
                  _id:
                    type: string
                    description: The unique identifier of the team invite
                    example: 60c72b2f9b1e8d001c8e4f3g
                  subscriptionEndsAt:
                    type: string
                    format: date-time
                    description: >-
                      The date and time when the subscription associated with
                      the invite to the team ends, null if the invite does not
                      have a subscription or if the subscription does not have
                      an end date
                    example: '2025-08-18T23:49:19.701Z'
            createdAt:
              type: string
              format: date-time
              description: >-
                The date and time when the team associated with the application
                was created
              example: '2025-07-18T23:49:19.701Z'
            updatedAt:
              type: string
              format: date-time
              description: >-
                The date and time when the team associated with the application
                was last updated
              example: '2025-07-19T17:57:05.069Z'
        restartRequired:
          type: boolean
          description: Indicates if a restart is required for the application
          example: false
        userId:
          type: string
          description: The unique identifier of the user who owns the application
          example: 60c72b2f9b1e8d001c8e4f3a
        name:
          type: string
          description: The name of the application
          example: My Application
        allocatedMemoryMB:
          type: integer
          format: int32
          description: The amount of memory allocated to the application in MB
          example: 256
        allocatedVCpu:
          type: integer
          format: int32
          description: The number of virtual CPUs allocated to the application
          example: 8
        workerNodeId:
          type: object
          properties:
            _id:
              type: string
              description: The unique identifier of the worker node
              example: 60c72b2f9b1e8d001c8e4f3c
            nodeName:
              type: string
              description: The name of the worker node
              example: ODIN
        containerImage:
          type: string
          description: The Docker image used for the application
          example: kevencampos/camposcloud-python
        exposedViaWeb:
          type: boolean
          description: Indicates if the application is exposed via the web
          example: false
        internalPort:
          type:
            - integer
            - 'null'
          format: int32
          description: The internal port used by the application
          example: 3000
        assignedSubdomain:
          type:
            - string
            - 'null'
          description: >-
            The subdomain assigned to the application, null if no subdomain is
            assigned
          example: myapp
        startupCommand:
          type: string
          description: The command used to start the application
          example: python -u index.py
        installDependenciesCmd:
          type: string
          description: The command used to install dependencies for the application
          example: pip install -r requirements.txt
        runtimeEnvironment:
          type: string
          description: The runtime environment of the application
          example: python
        autoRestartEnabled:
          type: boolean
          description: Indicates if auto-restart is enabled for the application
          example: false
        status:
          type: string
          description: The current status of the application
          example: active
        currentResourceMetrics:
          type:
            - object
            - 'null'
          description: Current resource metrics of the application
          properties:
            timestamp:
              type: string
              format: date-time
              example: '2025-07-19T17:57:05.069Z'
              description: The timestamp when the metrics were recorded
            online:
              type: boolean
              example: true
              description: Indicates if the application is currently online
            uptime:
              type: integer
              format: int64
              example: 35980
              description: The uptime of the application in seconds
            startedAt:
              type: string
              format: date-time
              example: '2025-07-19T17:57:05.069Z'
              description: The date and time when the application was started
            cpuUsagePercent:
              type: number
              format: float
              example: 0
              description: The CPU usage of the application as a percentage (0-100)
            memoryUsageBytes:
              type: integer
              format: int64
              example: 43671552
              description: The memory usage of the application in bytes
            memoryLimitBytes:
              type: integer
              format: int64
              example: 268435456
              description: The memory limit of the application in bytes
            networkRxBytes:
              type: integer
              format: int64
              example: 228961
              description: >-
                The amount of data received by the application over the network
                in bytes
            networkTxBytes:
              type: integer
              format: int64
              example: 228190
              description: >-
                The amount of data sent by the application over the network in
                bytes
        createdAt:
          type: string
          format: date-time
          description: The date and time when the application was created
          example: '2025-07-19T00:02:54.455Z'
        updatedAt:
          type: string
          format: date-time
          description: The date and time when the application was last updated
          example: '2025-07-19T17:57:05.069Z'
        githubDeploys:
          type: array
          description: >-
            List of GitHub repositories connected to the application for
            deployment
          items:
            type: object
            properties:
              commitId:
                type: string
                description: The unique identifier of the GitHub deploy configuration
                example: c505366f3ba913044f65750ab7de60ccbb3d7b5f
              branch:
                type: string
                description: The branch of the GitHub repository that triggers deployments
                example: main
              status:
                type: string
                description: The status of the GitHub deploy configuration
                example: success
              message:
                type: string
                description: The commit message of the latest deployment
                example: first commit
              createdAt:
                type: string
                format: date-time
                description: >-
                  The date and time when the GitHub deploy configuration was
                  created
                example: '2025-07-19T17:57:05.069Z'
              commitedAt:
                type: string
                format: date-time
                description: >-
                  The date and time when the latest commit was made to the
                  connected GitHub repository
                example: '2025-07-19T17:57:05.069Z'
              commitedBy:
                type: string
                description: >-
                  The author of the latest commit to the connected GitHub
                  repository
                example: Keven Campos
              _id:
                type: string
                description: The unique identifier of the GitHub deploy configuration
                example: 60c72b2f9b1e8d001c8e4f3d
              duration:
                type: integer
                format: int64
                description: The duration of the latest deployment in seconds
                example: 120
        externalPort:
          type:
            - integer
            - 'null'
          description: >-
            The external port exposed by the application, null if the
            application is not exposed via the web
        repository:
          type:
            - object
            - 'null'
          description: >-
            The GitHub repository connected to the application for deployment,
            null if no repository is connected
          properties:
            name:
              type: string
              description: >-
                The name of the GitHub repository connected to the application
                for deployment
              example: my-awesome-repo
            owner:
              type: string
              description: >-
                The owner of the GitHub repository connected to the application
                for deployment
              example: KevenCampos
            id:
              type: string
              description: >-
                The unique identifier of the GitHub repository connected to the
                application for deployment
              example: '12345678923'
            branch:
              type: string
              description: The branch of the GitHub repository that triggers deployments
              example: main
        environmentVariables:
          type: array
          description: List of environment variables set for the application
          items:
            type: object
            properties:
              key:
                type: string
                description: The name of the environment variable
                example: API_PORT
              value:
                type: string
                description: The value of the environment variable
                example: '3005'
              _id:
                type: string
                description: The unique identifier of the environment variable
                example: 60c72b2f9b1e8d001c8e4f3d
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
          example: Not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````